UPDATE-MENUS(1)

NOM
update-menus - génère les menus d'un système Debian

SYNOPSIS
update-menus [-v] [-d] [-h|--help] [--version] [--menufilesdir <répertoire>] [--menumethod <méthode>] [--nodefaultdirs] [--stdout]

DESCRIPTION
Avant l'utilisation de update-menus, quand l'administrateur système installait un paquet sur un système Debian, il devait modifier de nombreux fichiers de configuration des gestionnaires de fenêtres afin de rendre accessible ce nouveau programme (les menus de fvwm, par exemple). Ces menus pouvaient facilement ne plus lister les programmes effectivement accessibles, certains éléments des menus ne fonctionnant pas, alors que d'autres programmes n'étaient pas référencés. update-menus et le paquet Debian menu ont pour but de résoudre ce problème.

update-menus génère automatiquement les menus des programmes installés pour les gestionnaires de fenêtres et pour les autres programmes à menus. Il doit être lancé à chaque fois qu'un fichier de menu (voir menufile(5)) ou qu'un script de génération de menus est modifié. update-menus sera automatiquement lancé dès qu'un paquet Debian contenant des fichiers de menus sera installé ou supprimé du système.

update-menus utilise les fichiers de menu fournis par le paquet (dans /usr/share/menu) pour obtenir ses informations concernant les menus (mais l'administrateur du système ou un utilisateur peuvent modifier ce comportement, voir plus loin). Si le fichier de menu est exécutable, update-menus l'exécute et utilise sa sortie standard pour générer la base de données du menu.

OPTIONS

-v  Mode bavard. Affiche tous les arguments des programmes /etc/menu-methods

-d  Mode Debug. Génère un tas de messages inintelligibles.

-h, --help
    Affiche un message d'aide et s'arrête.

--menufilesdir <répertoire>
    Ajoute le répertoire <répertoire> à la liste des répertoires dans laquelle on recherche des fichiers de menu.

--menumethod <méthode>
    Traite uniquement le script de génération de menus <méthode>, et non tous les scripts de génération de menus trouvés.

--nodefaultdirs
    Désactive la recherche de fichiers de menu dans les répertoires de menu du système.

--nodpkgcheck
    Ne pas supprimer les entrées de menu correspondant à des paquets non installés d'après dpkg.

--remove
    Supprime les menus générés en passant l'option --remove aux scripts de génération de menus.

--stdout
    Génère une liste de menu acceptable comme entrée par install-menu ou par un script de génération de menus.

--version
    Affiche les informations de version, puis s'arrête.

CONFIGURATION
Il y a plusieurs façons de régler le fonctionnement d'update-menus :

par fichier de menu, dans /etc/menu/$paquet
    Dans ce répertoire, l'administrateur système ou l'utilisateur peut passer outre les réglages par défaut (lorsqu'un fichier /etc/menu/$paquet existe, le fichier /usr/share/menu/$paquet n'est plus consulté). Un utilisateur qui veut modifier le réglage par défaut du système placera ses fichiers dans le répertoire ~/.menu. Voir aussi menufile(5)
par gestionnaire de fenêtres, dans /etc/menu-methods/$wm
    Dans ces fichiers de configuration, on peut ajuster le fichier system.${wm}rc généré pour chacun des gestionnaires de fenêtres. Par exemple, on peut définir que le gestionnaire doit ignorer toute icône que le paquet pourrait fournir, ou définir le programme générique pour les applications en mode texte (normalement, c'est xterm qui est lancé pour accueillir une application en mode texte telle que vi). Les utilisateurs qui veulent passer outre les réglages par défaut du système déposent leurs fichiers dans ~/.menu-methods. Pour plus d'informations, consultez /usr/share/doc/menu/html.
globalement, dans /etc/menu-methods/translate_menus
    Ce fichier contient les transformations qui seront utilisées pour chaque entrée de menu et dans chacun des gestionnaires de fenêtres. Vous pouvez définir des points tels que : « Toutes les sections qui commencent par ``Games'' doivent être référencées par ``Applications/Games'' », ou « l'entrée de menu ``gnuplot'' doit avoir le titre ``GnuTeken'' » . Jetez un oeil au fichier par défaut /etc/menu-methods/translate_menus pour prendre exemple. Les utilisateurs qui veulent passer outre les transformations par défaut du système le font dans ~/.menu-methods/translate_menus. Note : ne pas utiliser pour une traduction complète du menu. Servez-vous des fichiers po comme indiqué dans le paquet source.
pour les rapports d'erreurs, dans /etc/menu-methods/menu.config
    Ce fichier contient des informations générales sur le comportement d' update-menus. Pour le moment, vous ne pouvez régler que le niveau de bavardage de la sortie standard du programme, ainsi que la définition de cette sortie. La quantité d'information est définie par « verbosity=VAL ». Choisissez VAL=quiet pour empêcher update-menu d'afficher autre chose que les erreurs les plus importantes, VAL=normal, VAL=verbose, VAL=debug pour des informations de plus en plus détaillées. Pour définir où le flux sortant doit aller, utilisez « method=stdout », « method=stderr » ou « method=syslog facility priorité ». « facility » est soit auth, authpriv, authcron, authdaemon, authkern, authlocal0, authlocal1, authlocal2, authlocal3, authlocal4, authlocal5, authlocal6, authlocal7,authlpr, authmail, authnews, authsyslog, authuser, ou authuucp. « priorité » est l'un des termes suivants : emerg, alert, crit, err, warning, notice, info, debug.

FICHIERS
Fichiers de menu : (les répertoires cités en premier sont prioritaires sur ceux cités plus loin)
    ~/.menu/*
        Fichiers de menu ajoutés par l'utilisateur (ignorés si l'administrateur lance update-menus)
    /etc/menu/*
        Fichiers de menu ajoutés par l'administrateur système.
    /usr/lib/menu/*
        Fichiers de menu (dépendant de l'architecture) fournis par d'autres paquets Debian.
    /usr/share/menu/*
        Fichiers de menu (indépendant de l'architecture) fournis par d'autres paquets Debian.
    /usr/share/menu/default/*
        Fichiers de menu fournis par le paquet menu.
Fichiers de génération de menu (menu methods):
    /etc/menu-methods/
        Fichiers de configuration exécutables ajoutés par les gestionnaires de fenêtres et autres programmes à menus, qui sont exécutés par update-menus afin de générer les menus pour ces différents programmes. Le fichier translate_menus figure aussi dans ce répertoire, et sert aux réglages locaux du modèle d'arborescence des menus.
    ~/.menu-methods/
        Permet aux utilisateurs d'outrepasser le comportement par défaut de /etc/menu-methods. Si ce répertoire existe, aucun des fichiers de /etc/menu-methods n'est lu.

DISTRIBUTION
La distribution est soumise à la Licence Publique Générale GNU.

BOGUES
update-menus peut connaître des dysfonctionnements quand il est invoqué par un simple utilisateur pour générer ses propres menus. C'est souvent parce que le gestionnaire de fenêtres n'attend pas les fichiers system.${wm}rc dans le répertoire (normalement ~/.${wm}, à configurer dans /etc/menu-methods). Si vous repérez quelque chose de ce genre et que vous trouvez une solution, envoyez-moi un courrier à <menu@packages.debian.org>. Cela doit parfaitement fonctionner pour fvwm et fvwm2 : je teste d'abord le paquet en tant que simple utilisateur.

AUTEURS
Joost Witteveen <joostje@debian.org>, sur une idée originale de Lars Wirzenius <liw@iki.fi>. Actuellement maintenu par Bill Allombert <ballombe@debian.org>.

REMERCIEMENTS
À Joey Hess, pour toutes ses bonnes idées et le test de la pré-version, et à Tom Lees pour son update-menus en C natif (dont je n'ai utilisé qu'une fonction, mais c'est la vie).

(page de manuel par Joey Hess, <joeyh@debian.org>)

VOIR AUSSI
menufile(5), /usr/share/doc/menu/html

TRADUCTION
Sylvain Cherrier <sylvain.cherrier@free.fr>